Subject: Re: bug#58474: 29.0.50; gnus does not startup in latest master: (void-variable gnus-local-domain)

From: Uwe Brauer <[email-masked]>
Date: Wed, 12 Oct 2022 22:22:21 +0200

>>> "EZ" == Eli Zaretskii <[email-masked]> writes:

>> From: Uwe Brauer <[email-masked]>
>> Date: Wed, 12 Oct 2022 20:41:25 +0200
>> 
>> I successfully compiled Emacs master
>> 2953d89d74ebfe6a6bcbe0d25a60a845acad0e13.
>> 
>> However I when starting gnus I receive and error that I attach and that
>> does not allow me to send a bug report from that Emacs master version
>> 
>> Debugger entered--Lisp error: (void-variable gnus-local-domain)
>> (or gnus-local-domain (message-make-domain) (system-name) "")

> Did you try looking up this variable in NEWS?

Sigh, I did now, 
** Some functions and variables obsolete since Emacs 24 have been removed:

But no hint how to somehow use it anyhow.

My problem at the moment is that I have to stick to bbdb-2.35 which uses these variables. I have written dozens of extensions that I cannot 
easily port to bbdb-3.X since a lot of functions were either removed or renamed.

Any idea how to find the necessary aliases?

-- 
I strongly condemn Putin's war of aggression against the Ukraine.
I support to deliver weapons to Ukraine's military. 
I support the ban of Russia from SWIFT.
I support the EU membership of the Ukraine.